Bug 849823 - [abrt] xorg-x11-server-Xorg-1.12.2-4.fc17: __setstate_r: Process /usr/bin/Xorg was killed by signal 6 (SIGABRT)
[abrt] xorg-x11-server-Xorg-1.12.2-4.fc17: __setstate_r: Process /usr/bin/Xor...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:514664f51ec4bc7f28629ec67bd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 00:11 EDT by nathaniel
Modified: 2013-08-01 14:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:55:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (4.28 KB, text/plain)
2012-08-21 00:11 EDT, nathaniel
no flags Details
File: maps (11.36 KB, text/plain)
2012-08-21 00:11 EDT, nathaniel
no flags Details

  None (edit)
Description nathaniel 2012-08-21 00:11:11 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/Xorg :0 -br -verbose -auth /var/run/gdm/auth-for-gdm-10tjdl/database -seat seat0 -nolisten tcp
crash_function: __setstate_r
executable:     /usr/bin/Xorg
kernel:         3.5.0-2.fc17.i686
pid:            22363
pwd:            /var/gdm
remote_result:  NOTFOUND
time:           Thu 09 Aug 2012 09:34:49 AM EDT
uid:            0
username:       root

backtrace:      Text file, 4387 bytes
maps:           Text file, 11635 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/system/prefdm.service
:2:cpuset:/
:1:name=systemd:/system/prefdm.service

core_backtrace:
:a60cf1c0ccc420e1d4723b7f1871172ce9741051 0x424 __kernel_vsyscall linux-gate.so.1 -
:3acb49eb0c42230312a0b0e679162f2abc0f671f 0x2e93f raise libc.so.6 -
:3acb49eb0c42230312a0b0e679162f2abc0f671f 0x30293 abort libc.so.6 -
:3acb49eb0c42230312a0b0e679162f2abc0f671f 0x6c795 __libc_message libc.so.6 -
:3acb49eb0c42230312a0b0e679162f2abc0f671f 0x74119 _int_free libc.so.6 -
:14d6dd19f4c2e2bf0ead94d358a3d5a83fe1053a 0x11f5ea XIDeleteAllDeviceProperties [exe] -
:14d6dd19f4c2e2bf0ead94d358a3d5a83fe1053a 0x2474e - [exe] -
:14d6dd19f4c2e2bf0ead94d358a3d5a83fe1053a 0x28c3d RemoveDevice [exe] -
:14d6dd19f4c2e2bf0ead94d358a3d5a83fe1053a 0x9285d DeleteInputDeviceRequest [exe] -
:14d6dd19f4c2e2bf0ead94d358a3d5a83fe1053a 0x243b0 - [exe] -
:14d6dd19f4c2e2bf0ead94d358a3d5a83fe1053a 0x24eb8 - [exe] -
:14d6dd19f4c2e2bf0ead94d358a3d5a83fe1053a 0x1dd45 - [exe] -

dso_list:
:/usr/lib/xorg/modules/extensions/libextmod.so xorg-x11-server-Xorg-1.12.2-4.fc17.i686 (Fedora Project) 1344454193
:/usr/lib/libpciaccess.so.0.11.1 libpciaccess-0.13.1-1.fc17.i686 (Fedora Project) 1344454067
:/usr/lib/librt-2.15.so glibc-2.15-51.fc17.i686 (Fedora Project) 1344454026
:/usr/lib/libpthread-2.15.so glibc-2.15-51.fc17.i686 (Fedora Project) 1344454026
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-3.fc17.i686 (Fedora Project) 1337719199
:/usr/lib/xorg/modules/drivers/vesa_drv.so xorg-x11-drv-vesa-2.3.1-1.fc17.i686 (Fedora Project) 1344455175
:/usr/lib/libdrm.so.2.4.0 libdrm-2.4.33-3.fc17.i686 (Fedora Project) 1344454175
:/usr/lib/libstdc++.so.6.0.17 libstdc++-4.7.0-5.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/xorg/modules/drivers/intel_drv.so xorg-x11-drv-intel-2.20.1-1.fc17.i686 (Fedora Project) 1344455173
:/usr/lib/libgcc_s-4.7.0-20120507.so.1 libgcc-4.7.0-5.fc17.i686 (Fedora Project) 1337719189
:/usr/lib/xorg/modules/drivers/fbdev_drv.so xorg-x11-drv-fbdev-0.4.2-8.fc17.i686 (Fedora Project) 1337719404
:/usr/lib/libdrm_intel.so.1.0.0 libdrm-2.4.33-3.fc17.i686 (Fedora Project) 1344454175
:/usr/lib/xorg/modules/extensions/libdri2.so xorg-x11-server-Xorg-1.12.2-4.fc17.i686 (Fedora Project) 1344454193
:/usr/lib/xorg/modules/extensions/libdbe.so xorg-x11-server-Xorg-1.12.2-4.fc17.i686 (Fedora Project) 1344454193
:/usr/lib/libnss_files-2.15.so glibc-2.15-51.fc17.i686 (Fedora Project) 1344454026
:/usr/lib/libXdmcp.so.6.0.0 libXdmcp-1.1.1-1.fc17.i686 (Fedora Project) 1337719204
:/usr/lib/libm-2.15.so glibc-2.15-51.fc17.i686 (Fedora Project) 1344454026
:/usr/lib/libcrypto.so.1.0.0j openssl-1:1.0.0j-2.fc17.i686 (Fedora Project) 1344454114
:/usr/lib/dri/i915_dri.so mesa-dri-drivers-8.0.3-3.fc17.i686 (Fedora Project) 1344455188
:/usr/lib/libfontenc.so.1.0.0 libfontenc-1.1.0-2.fc17.i686 (Fedora Project) 1337719212
:/usr/lib/xorg/modules/extensions/libglx.so xorg-x11-server-Xorg-1.12.2-4.fc17.i686 (Fedora Project) 1344454193
:/usr/lib/xorg/modules/input/synaptics_drv.so xorg-x11-drv-synaptics-1.6.2-1.fc17.i686 (Fedora Project) 1344455176
:/usr/lib/libaudit.so.1.0.0 audit-libs-2.2.1-1.fc17.i686 (Fedora Project) 1337719198
:/usr/lib/ld-2.15.so glibc-2.15-51.fc17.i686 (Fedora Project) 1344454026
:/usr/lib/xorg/modules/extensions/librecord.so xorg-x11-server-Xorg-1.12.2-4.fc17.i686 (Fedora Project) 1344454193
:/usr/lib/xorg/modules/extensions/libdri.so xorg-x11-server-Xorg-1.12.2-4.fc17.i686 (Fedora Project) 1344454193
:/usr/lib/libz.so.1.2.5 zlib-1.2.5-6.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libexpat.so.1.6.0 expat-2.1.0-1.fc17.i686 (Fedora Project) 1337719198
:/usr/bin/Xorg xorg-x11-server-Xorg-1.12.2-4.fc17.i686 (Fedora Project) 1344454193
:/usr/lib/libudev.so.0.13.1 libudev-182-3.fc17.i686 (Fedora Project) 1344454162
:/usr/lib/libc-2.15.so glibc-2.15-51.fc17.i686 (Fedora Project) 1344454026
:/usr/lib/xorg/modules/input/evdev_drv.so xorg-x11-drv-evdev-2.7.0-2.fc17.i686 (Fedora Project) 1337719404
:/usr/lib/libfreetype.so.6.8.0 freetype-2.4.8-3.fc17.i686 (Fedora Project) 1337719198
:/usr/lib/libselinux.so.1 libselinux-2.1.10-3.fc17.i686 (Fedora Project) 1337719197
:/usr/lib/libdl-2.15.so glibc-2.15-51.fc17.i686 (Fedora Project) 1344454026
:/usr/lib/libmtdev.so.1.0.0 mtdev-1.1.0-3.20110105.fc17.i686 (Fedora Project) 1337719213
:/usr/lib/xorg/modules/libfbdevhw.so xorg-x11-server-Xorg-1.12.2-4.fc17.i686 (Fedora Project) 1344454193
:/usr/lib/libXfont.so.1.4.1 libXfont-1.4.5-1.fc17.i686 (Fedora Project) 1337719212
:/usr/lib/xorg/modules/libfb.so xorg-x11-server-Xorg-1.12.2-4.fc17.i686 (Fedora Project) 1344454193
:/usr/lib/libpixman-1.so.0.24.4 pixman-0.24.4-2.fc17.i686 (Fedora Project) 1337719201

environ:
:HOSTNAME=DrFedoToshiBa.home
:HISTSIZE=1000
:QT_GRAPHICSSYSTEM_CHECKED=1
:KEYTABLE=us
:BOOT_IMAGE=/vmlinuz-3.5.0-2.fc17.i686
:SYSFONT=True
:LANG=en_US.UTF-8
:DISPLAY==:0
:MAIL=/var/spool/mail/root
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SHLVL=0
:PWD=/
:HISTCONTROL=ignoredups
:USER=root
:PATH=/usr/local/sbin:/sbin:/usr/sbin:/bin:/usr/bin
:LOGNAME=root

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             7814                 7814                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7814                 7814                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/var/log/Xorg.0.log
:pos:	29126
:flags:	01
:1:socket:[153948]
:pos:	0
:flags:	02
:2:/var/log/gdm/:0.log
:pos:	18620
:flags:	02001
:3:socket:[153949]
:pos:	0
:flags:	02
:4:/usr/lib/xorg/protocol.txt
:pos:	31246
:flags:	00
:5:/proc/mtrr
:pos:	0
:flags:	02000001
:6:/dev/tty2
:pos:	0
:flags:	04002
:7:/dev/vga_arbiter
:pos:	0
:flags:	02000002
:8:/dev/dri/card0
:pos:	0
:flags:	0100002
:9:socket:[153204]
:pos:	0
:flags:	02004002
:10:/dev/tty
:pos:	0
:flags:	04002

smolt_data:
:
:
:General
:=================================
:UUID: 577005a1-1f73-48c1-93f3-59889fb61738
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: i686
:BogoMIPS: 3325.09
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Atom(TM) CPU N455   @ 1.66GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 28
:Number of CPUs: 2
:CPU Speed: 1667
:System Memory: 993
:System Swap: 2015
:Vendor: TOSHIBA
:System: TOSHIBA NB505 PLL50U-01R00C
:Form factor: Notebook
:Kernel: 3.5.2-1.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10172:4473:64960) pci, None, PCI/ISA, NM10 Family LPC Controller
:(4332:33078:4473:64960) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:40977:4473:64960) pci, i915, VIDEO, N10 Family Integrated Graphics Controller
:(32902:40978:4473:64960) pci, None, VIDEO, N10 Family Integrated Graphics Controller
:(32902:10192:4473:64960) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10194:4473:64960) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 2
:(32902:10200:4473:64960) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10196:4473:64960) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10202:4473:64960) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9288:4473:64960) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10177:4473:64960) pci, ahci, STORAGE, N10/ICH7 Family SATA AHCI Controller
:(32902:10185:4473:64960) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4473:64960) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:40976:4473:64960) pci, agpgart-intel, HOST/PCI, N10 Family DMI Bridge
:(32902:10186:4473:64960) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:4473:64960) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4473:64960) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(4332:33142:4332:33153) pci, rtl8192ce, NETWORK, RTL8188CE 802.11b/g/n WiFi Adapter
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_drfedotoshiba-lv_root / ext4 4096 4096 12901535 11564913 11433863 3276800 3117683 3117683
:/dev/sda5 /boot ext4 1024 1024 495844 401650 376050 128016 127617 127617
:/dev/mapper/vg_drfedotoshiba-lv_home /home ext4 4096 4096 34511630 11868526 10115438 8765440 8685674 8685674
:

var_log_messages:
:Aug  8 14:47:18 DrFedoToshiBa firstboot[661]: INFO:firstboot.frontend:starting the Xorg server
:Aug  8 14:47:19 DrFedoToshiBa firstboot[661]: INFO:firstboot.frontend:Xorg server started successfully
:Aug  8 14:50:27 DrFedoToshiBa firstboot[661]: INFO:firstboot.frontend:killing the Xorg server
:Aug  8 15:29:53 DrFedoToshiBa yum[1576]: Updated: xorg-x11-server-Xorg-1.12.2-4.fc17.i686
:Aug  9 09:34:49 DrFedoToshiBa abrt[23507]: Saved core dump of pid 22363 (/usr/bin/Xorg) to /var/spool/abrt/ccpp-2012-08-09-09:34:49-22363 (5812224 bytes)
Comment 1 nathaniel 2012-08-21 00:11:16 EDT
Created attachment 605821 [details]
File: backtrace
Comment 2 nathaniel 2012-08-21 00:11:17 EDT
Created attachment 605822 [details]
File: maps
Comment 3 alsos73 2012-08-25 11:37:05 EDT
It happened when it booted

backtrace_rating: 4
Package: xorg-x11-server-Xorg-1.12.2-4.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Adam Jackson 2012-10-18 17:48:44 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 5 Adam Jackson 2012-10-18 17:49:25 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 6 Fedora End Of Life 2013-07-04 03:08:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 14:55:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.